AI agents: this site is available as Markdown at /llms.txt. Each page has a Markdown version at its URL with a .md suffix, and the full API is described in /api/v3/openapi.json.

Create a virtual account number

Create a Virtual Account for Your Customer.

Last updated 13 September 2026

post

https://api.flutterwave.com/v3/virtual-account-numbers

authorization string required

Pass your secret key as a bearer token in the request header to authorize this call

FILL IN ALL REQUIRED FIELDS

email string required
The email address of the customer.

currency string
The currency of the Virtual Account. Defaults to NGN if not passed. Allowed values: NGN, GHS.

amount int 32 required
The desired amount to be collected. Required when creating a dynamic virtual account.

firstname string
This is the first name associated with the customer's account.

lastname string
This is the last name associated with the customer's account.

tx_ref string
This is a transaction reference that would be returned each time a transfer is done to the account

is_permanent boolean
This allows you create a static account number i.e. it doesn't expire

expires string
This specifies how long a dynamic virtual account remains active, in seconds. Minimum is 60 seconds (1 minute); Maximum is 5,270,401 seconds (2 months) for NGN and 172,800 seconds (48 hours) for GHS.

narration string
This allows you specify the name shown when the account is resolved. for GHS Account. this should be 35 characters long.

bvn string
This is the customer's Bank Verification Number. This is only required when creating a static NGN virtual accounts.

nin string
This is the customer’s National identification Number. It is required when creating a static virtual account. It can be used in place of the customer's bank verification number.

phonenumber string
This is the customer's phone number.

bank_code string
The bank code for the generated virtual account.

FILL IN ALL REQUIRED FIELDS

status string

message string

data object

FILL IN ALL REQUIRED FIELDS

response_code string

response_message string

flw_ref string

order_ref string

account_number string

frequency string

bank_name string

created_at string

expiry_date string

note string

amount string

Shell

1
1


FL.AI

Answers from the Flutterwave docs

Hi, I’m FL.AI

Ask anything about Flutterwave’s APIs, guides and coverage.

FL.AI can make mistakes. Check important details in the docs.

Get API Keys